import React, { useState, useEffect } from 'react';
import { csv } from 'd3';
const csvUrl =
  'https://gist.githubusercontent.com/bharathsivakumar07/62cd8fcdbf137961d20ffa46c29c18a5/raw/4e87ee17113ee922c17006ec73588cec0b105d9a/Stationstat.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.DATE = new Date(d.DATE);
      d.DailyPeakWindSpeed = +d.DailyPeakWindSpeed;
      d.DailyAverageWindSpeed = +d.DailyAverageWindSpeed;
      d.DailyAverageStationPressure = +d.DailyAverageStationPressure;
      d.DailyPeakWindDirection = +d.DailyPeakWindDirection;
      d.DailySustainedWindDirection = +d.DailySustainedWindDirection;
      d.DailySustainedWindSpeed = +d.DailySustainedWindSpeed;
      d.NAME = d.STATION;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};